import type { GetUserProjectsQuery, GetUserProjectsQueryVariables } from "./__generated__/graphql"
import { client } from "./apollo-client"
import { getUserProjectsGQL } from "./gql"

(async () => {
    const result = await client.query<GetUserProjectsQuery, GetUserProjectsQueryVariables>({
        query: getUserProjectsGQL,
    })
    console.log(result.data?.demo_users.map(user => user?.projects?.map(project => project?.demo_projects_id)))
})()
